%define codemirror_ver 5.36.1

Name:           notepadqq
Version:        1.4.8
Release:        %mkrel 2
Summary:        A Linux clone of Notepad++
License:        GPLv3
Group:          Editors
URL:            http://notepadqq.altervista.org/wp/
Source0:        https://github.com/notepadqq/notepadqq/archive/v%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/notepadqq/CodeMirror/archive/%{codemirror_ver}/CodeMirror-%{codemirror_ver}.tar.xz
Patch0:         notepadqq-1.4.4-mga-skip-uneeded-launcher-script.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  qttools5

%description
Notepadqq is a Notepad++-like editor for the Linux desktop.

It helps developers by providing all you can expect from a general
purpose text editor, such as syntax highlighting for more than 100
different languages, code folding, color schemes, file monitoring,
multiple selection and much more.

%prep
%setup -q -a1
%apply_patches

# (tpg) update CodeMirror (upstream provides release 5.36.0)
rm -rf src/editor/libs/codemirror/*
mv -f CodeMirror-%{codemirror_ver}/* src/editor/libs/codemirror

%build
%qmake_qt5 PREFIX=%{_prefix} LRELEASE=%{_qt5_bindir}/lrelease

%make_build

%install
rm -rf %buildroot
%make_install INSTALL_ROOT=%{buildroot}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Development" \
  --remove-category="Utility" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_datadir}/metainfo/notepadqq.appdata.xml

%post
%update_menus

%postun
%clean_menus

%changelog
* Mon Dec 23 2019 tex - 1.4.8-2pclos2020
- fix menu

* Thu Dec 05 2019 tex - 1.4.8-1pclos2019
- new release

* Tue Dec 20 2016 bb <bb> 0.53.0-1pclos2017
- import

